package com.engine.organization.service.impl;

import com.engine.core.impl.Service;
import com.engine.organization.biz.SchemeBiz;
import com.engine.organization.cmd.scheme.SchemeListCmd;
import com.engine.organization.entity.scheme.param.SchemeSearchParam;
import com.engine.organization.entity.scheme.po.SchemePO;
import com.engine.organization.service.SchemeService;
import com.engine.organization.util.page.PageInfo;
import com.weaverboot.frame.ioc.anno.classAnno.WeaIocService;

import java.util.List;
import java.util.Map;

/**
 * @Author weaver_cl
 * @Description: TODO
 * @Date 2022/4/27
 * @Version V1.0
 **/
@WeaIocService
public class SchemeServiceImpl extends Service implements SchemeService {


    @Override
    public Map<String, Object> save(Map<String, Object> params) {
        return commandExecutor.execute(new SchemeListCmd(params, user));
    }

    @Override
    public Map<String, Object> listPage(Map<String, Object> params) {
        return commandExecutor.execute(new SchemeListCmd(params,user));
    }

}
